HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIdentityVerificationSessions

Contains the different functions to run the operation postIdentityVerificationSessions

  • 7 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports11
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIdentityVerificationSessions.hs
valuepostIdentityVerificationSessions
  1. :: MonadHTTP m
  2. => PostIdentityVerificationSessionsRequestBody

    The request body to send

  3. -> ClientT m (Response PostIdentityVerificationSessionsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/identity/verification_sessions

<p>Creates a VerificationSession object.</p>

<p>After the VerificationSession is created, display a verification modal using the session <code>client_secret</code> or send your users to the session’s <code>url</code>.</p>

<p>If your API key is in test mode, verification checks won’t actually process, though everything else will occur as if in live mode.</p>

<p>Related guide: <a href="/docs/identity/verify-identity-documents">Verify your users’ identity documents</a>.</p>

Defines the object schema located at paths./v1/identity/verification_sessions.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/identity/verification_sessions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options in the specification.

A set of options for the session’s verification checks.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/identity/verification_sessions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options.properties.document.anyOf.properties.allowed_types.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/identity/verification_sessions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.options.properties.document.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/identity/verification_sessions.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.type in the specification.

The type of verification check to be performed.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIdentityVerificationSessions.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIdentityVerificationSessionsResponseError is used.

Instances2Eq, Show